Qt 5.9 | Qt 3D | C++ Classes | QAbstractAxisInput

Qt 5.9.9 Reference Documentation

# QAbstractAxisInput Class

(Qt3DInput::QAbstractAxisInput)

QAbstractActionInput is the base class for all Axis Input. More...

Header: | #include <Qt3DInput/QAbstractAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DInput::QAnalogAxisInput and Qt3DInput::QButtonAxisInput

- List of all members, including inherited members

## Properties

- sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

QAbstractPhysicalDevice * | sourceDevice() const

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractAxisInput(QAbstractAxisInputPrivate &dd, QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QAbstractActionInput is the base class for all Axis Input.

## Property Documentation

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

The source device for the QAbstractAxisInput.

Access functions:

QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

## Member Function Documentation

### `[protected]` QAbstractAxisInput::QAbstractAxisInput(QAbstractAxisInputPrivate &dd, QNode *parent = nullptr)

Copy constructor.